using Newtonsoft.Json;

namespace SGModule.NetKit {
    public class RespDebugData {
        [JsonProperty("channel")] public string Channel;
        [JsonProperty("device")] public string Device;
        [JsonProperty("device_id")] public string DeviceID;
        [JsonProperty("level")] public string Level;
        [JsonProperty("message")] public string Message;
        [JsonProperty("network")] public string Network;
        [JsonProperty("os_ver")] public string OSVer;
        [JsonProperty("pack_name")] public string PackName;
        [JsonProperty("stacktrace")] public string Stacktrace;
        [JsonProperty("uid")] public long Uid;
        [JsonProperty("version")] public string Version;
    }
}
